Subject: [Jcardcal] Fix example in section 3.3.2

From: Bert Greevenbosch <[email-masked]>
Date: Thu, 29 Aug 2013 09:22:08 +0000

Hi all,

To address Barry's comment:

<QUOTE>
  In the example in Section 3.3.2, I'm confused: isn't the value of the "n"
  property a structured value, and shouldn't it be converted as an array
  (3.2.1.4)?
</QUOTE>

Indeed I think the following change is needed (as vCard defines the "n" property as a structured text value):

OLD:

   ["vcard",
     [
       ["n",
        { "sort-as": ["Harten", "Rene"] },
        "text",
        "van der Harten;Rene,J.;Sir;R.D.O.N."
       ],
       ["fn", {}, "text", "Rene van der Harten"]
       ...
     ]
   ]

NEW:

   ["vcard",
     [
       ["n",
        { "sort-as": ["Harten", "Rene"] },
        "text",
        ["van der Harten","Rene,J.","Sir","R.D.O.N."]
       ],
       ["fn", {}, "text", "Rene van der Harten"]
       ...
     ]
   ]

END

Do folks agree?

Best regards,
Bert

---

From: Michael Angstadt <[email-masked]>
Date: Thu, 29 Aug 2013 06:56:21 -0400

That correction is accurate.  The N property value is not being rendered
correctly in that example.

On Thursday, August 29, 2013, Bert Greevenbosch wrote:

> _______________________________________________
> jcardcal mailing list
> [email-masked] <javascript:;>
> https://www.ietf.org/mailman/listinfo/jcardcal
>

---

From: Michael Angstadt <[email-masked]>
Date: Thu, 29 Aug 2013 07:12:40 -0400

On second look, there appears to be an error in the N property value.
 There is a comma separating "Rene" and "J.", which would make the second
component multi valued.  Also, the "additional name" component is missing
(an empty array element must be inserted before "Sir").

["van der Harten", ["Rene", "J."], "", "Sir","R.D.O.N."]

I am not sure if this was intended though. While it is technically possible
for family and given names to be multivalued, it is far from common.  The
author may have meant for "J." to be treated as an additional name:

["van der Harten", "Rene", "J.", "Sir","R.D.O.N."]

Or perhaps "Rene,J." is meant to be the entire given name.  In that case,
an empty array element still needs to be inserted to represent the
"additional names" component.

["van der Harten","Rene,J.", "", "Sir","R.D.O.N."]

Thanks,
Mike

On Thursday, August 29, 2013, Michael Angstadt wrote:

>> [email-masked]

---

From: Simon Perreault <[email-masked]>
Date: Thu, 29 Aug 2013 13:33:40 +0200

Le 2013-08-29 13:12, Michael Angstadt a écrit :
>  There is a comma separating "Rene" and "J.", which would make the
> second component multi valued.  Also, the "additional name" component is
> missing (an empty array element must be inserted before "Sir").
> 

True. That's because there's a mistake in the original example which
came from RFC 6350 section 5.9. In fact, the same mistake is present in
all examples from that section. The reason is that during the drafting
of RFC 6350, the "additional names" component was removed at one point
and then reinserted in a later revision.

An errata needs to be filed about this.

> I am not sure if this was intended though. While it is
> technically possible for family and given names to be multivalued, it is
> far from common.  The author may have meant for "J." to be treated as an
> additional name:
> 

Correct.

Simon

---

From: Michael Angstadt <[email-masked]>
Date: Thu, 29 Aug 2013 08:57:10 -0400

> An errata needs to be filed about this.

I will do so.

---

From: Bert Greevenbosch <[email-masked]>
Date: Fri, 30 Aug 2013 00:59:00 +0000

Hi all,

Indeed the format

["van der Harten", "Rene", "J.", "Sir", "R.D.O.N."]

is more in the spirit of RFC 6350, as "J." seems to be an additional name, "Sir" an honorific prefix and "R.D.O.N." an honorific suffix.

Then let's change the example in jCard accordingly.

Best regards,
Bert

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Simon Perreault
> Sent: 2013年8月29日 19:34
> To: Michael Angstadt
> Cc: Bert Greevenbosch; Barry Leiba; Philipp Kewisch; [email-masked]
> Subject: Re: [Jcardcal] Fix example in section 3.3.2
>

---

From: Michael Angstadt <[email-masked]>
Date: Fri, 30 Aug 2013 09:04:07 -0400

For those who are not subscribed to VCARDDAV, the errata has been reported
and verified:

http://www.rfc-editor.org/errata_search.php?rfc=6350&eid=3713

On Thu, Aug 29, 2013 at 8:59 PM, Bert Greevenbosch <
[email-masked]> wrote:

> is more in the spirit of RFC 6350, as "J." seems to be an additional name,
> "Sir" an honorific prefix and "R.D.O.N." an honorific suffix.
>